/*
  functions for an interface between a yafDecoder and the GNOME-emusic Interf.
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */


#include <yafsplay/yaf2Emusic.h>



int end_of_song;  
int end_song; 
int stop_song;
pthread_t player_thread;
pthread_mutex_t player_lock; 



static InputInterface* input;
static int fd[2];
                                         
int setup_audio(int frequency, int stereo, int sign, int big, int sixteen) {
  StreamWriter_sendStreamInfo(stereo+1,16,frequency);
  return 1;
}



void set_bitrate(int bit) {
  cout << "set_bitrate called !"<<endl;
}


void close_audio(void) {
  cout << "close_audio called!"<<endl;
}


void flush_audio(void) {
  if (end_song == true) {
    cout << "setting decoder off"<<endl;
    input->write(fd[1],"off\n");
    end_song=false;
  }
  cout << "flush_audio called!:"<<end_song<<endl;
}


 
int parsebool(char *data) {
  cout << "parsebool called!"<<endl;
  return 1;
}


int audio_play(char *buffer, int size) {
  StreamWriter_writeStream(buffer,size);
  return 1;
}


void setInputInterface(InputInterface* in) {
  input=in;
  ::pipe(fd);
  input->addFileDescriptor(fd[0]);
}


  
                                                

