//
//  Kmpg
// 
//  Copyright (C) 1997 Bjarni Ivarsson
//  email: Bjarni.Ivarsson@swipnet.se
// 
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//

#ifndef STATUSLINE_H
#define STATUSLINE_H

#include <qwidget.h>
#include <qpixmap.h>
#include <qtimer.h>
#include <qfontmet.h>

class StatusLine : public QWidget
{
      Q_OBJECT
   public:
      StatusLine( QWidget*, int);
      ~StatusLine();
   signals:
      void statusLineClicked(int);
   public slots:
      void doClear();
      void setField( int, QString );
   private:
      int _width, _height, _textposy, _lineheight, _fieldwidth;
      QPixmap pm_back;

   protected:
      QWidget *_panel;
      virtual void mousePressEvent( QMouseEvent* );
};
#endif
